---
title: 'BroadcastChannel: messageerror event'
slug: Web/API/BroadcastChannel/messageerror_event
tags:
  - Event
---
<div>{{APIRef}}</div>

<p>The <code>messageerror</code> event is fired on a {{domxref('BroadcastChannel')}} object when a message arrives on the channel that can't be deserialized.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("MessageEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/BroadcastChannel/onmessageerror">onmessageerror</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>This code uses <code><a href="/en-US/docs/Web/API/EventTarget/addEventListener">addEventListener</a></code> to listen for messages and errors:</p>

<pre class="brush: js">const channel = new BroadcastChannel('example-channel');

channel.addEventListener('message', (event) =&gt; {
  received.textContent = event.data;
});

channel.addEventListener('messageerror', (event) =&gt; {
  console.error(event);
});</pre>

<p>The same, but using the <code><a href="/en-US/docs/Web/API/BroadcastChannel/onmessage">onmessage</a></code> and <code><a href="/en-US/docs/Web/API/BroadcastChannel/onmessageerror">onmessageerror</a></code> event handler properties:</p>

<pre class="brush: js">const channel = new BroadcastChannel('example-channel');

channel.onmessage = (event) =&gt; {
  received.textContent = event.data;
};

channel.onmessageerror = (event) =&gt; {
  console.log(event);
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'indices.html#event-messageerror')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BroadcastChannel.messageerror_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events: <code><a href="/docs/Web/API/BroadcastChannel/message_event">message</a></code>.</li>
</ul>
